package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.SecurityGroupRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.utils.ResultTools;

public interface SecurityGroupRuleProvider extends SuperProvider {

    default BocloudResult create(SecurityGroupRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String ruleId) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(SecurityGroupRuleModel ruleModel) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult list() {
        return ResultTools.noImplementedResult();
    }

    default BocloudResult list(String zone) {
        return null;
    }

    default BocloudResult detail(String sgrlId) {
        return null;
    }

    default BocloudResult list(String sgId, String zone) {
        return null;
    }

    default BocloudResult modify(SecurityGroupRuleModel model) {
        return null;
    }
}
